GET
/api/account/memberships
const url = 'https://example.com/api/account/memberships';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/api/account/memberships \ --header 'Authorization: Bearer <token>'Lists the customer’s memberships across all merchants, with each membership’s subscriptions.
Authorizations
Section titled “Authorizations ”Responses
Section titled “ Responses ”OK
Media type application/json
Array<object>
object
memberId
string format: uuid
merchantId
string format: uuid
merchantName
string
status
string
memberSince
string format: date-time
subscriptions
Array<object>
object
subscriptionId
string format: uuid
planName
string
price
number format: double
frequency
string
status
string
nextBillingDate
string format: date-time
nextBillingAmount
number format: double
Example
[ { "status": "Active", "subscriptions": [ { "frequency": "OneOff", "status": "Trial" } ] }]